[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TAnchorKind

The control side to be anchored.

## Declaration

Source position: controls.pp line 199

`type TAnchorKind = (`
`akTop,` |  | Top side (or center vertically).
`akLeft,` |  | Left side (or center horizontally).
`akRight,` |  | Right side (or center horizontally).
`akBottom` |  | Bottom side (or center vertically).
`);`

## Description

With the TAnchorSideReference value asrCenter, the sides mean horizontal or vertical alignment of the control's center.

## Version info

Modified in LCL 3.0 to be an alias to the TAnchorKind type in System.UITypes for FPC 3.2.3 or higher.